---
name: Feature request
about: Suggest an idea for this project
title: ''
labels: ''
assignees: ''

---

**Briefly describe your usage of Stargate**
Do you use Stargate?  Is it your only DAW?  If not, roughly what percentage of
your work is done in Stargate?  Have you read the user manual or watched the
Youtube videos?  Briefly describe what kind of music you make with Stargate,
and how it integrates into your workflow.  We want to gauge your understanding
of the software, and your level of interest in the project.  We are open to
good ideas, regardless of who they come from.

**Describe what you want to do**
NOT how you want to do it.  It should be high-level and generic to the greatest
extent possible, for example:
- I want to record audio
- I want to split sequencer items
- I want a virtual analog synthesizer
- I want to send MIDI notes without a hardware keyboard

After the high-level overview statement, you may provide additional detail and
context below.

**Does your proposal align with the core project design principles?**
Project principles are available [HERE](
  https://github.com/stargateaudio/stargate/blob/main/docs/project_design_principles.md
)

If not, provide a justification for why we should implement it anyway.  We
listen to our users, but we have an obligation to the same users and future
users to maintain a project vision and align new features to that vision, and
not become a bloated, incoherent mess of random features glued together that
is a superset of every DAW ever developed.  Not naming names, but, this has
happened.

Reading that document is the price of admission to the issue tracker, even to
voice dissenting opinions.  If you clearly did not read the document first,
your issue may be closed or deleted.

**OPTIONAL: Describe one or more ways you propose we can accomplish this**
Describe how this might look in practice.  Possibly provide multiple options.
It is OK if you are not sure, either way we will collaborate with you to design
a final solution.

**Additional context**
Add any other context or screenshots about the feature request here.

